<?php
/* config */
define('PN_PLUGIN_BASENAME',	basename(dirname(__FILE__)) . '/site-content-navigator.php');
define('PN_PLUGIN_PATH',		plugin_dir_path(__FILE__));
define('PN_PLUGIN_URL',			plugin_dir_url(__FILE__));
define('PN_CLASS_PATH',			PN_PLUGIN_PATH . 'class/');
define('PN_TEMPLATE_PATH',		PN_PLUGIN_PATH . 'template/');
define('PN_LANGUAGES_PATH',		dirname(plugin_basename(__FILE__)) . '/languages/');
define('PN_STYLE_URL',			PN_PLUGIN_URL . 'style/');
define('PN_SCRIPT_URL',			PN_PLUGIN_URL . 'js/');
define('PN_IMAGE_URL',			PN_PLUGIN_URL . 'image/');

function pn_load_classes()
{
	$files = scandir(PN_CLASS_PATH);
	if(count($files))
	{
		foreach($files as $file)
		{
			$file_path = PN_CLASS_PATH . $file;
			if(is_file($file_path))
				require_once($file_path);
		}
	}
}
function pn_load_textdomain()
{
	load_plugin_textdomain('site_content_navigator', false, PN_LANGUAGES_PATH);
}