<?php
$output = '';
$output =  '
<div class="wrap site_content_navigator_settings_section first">
	<h2>' . __('Site Content Navigator', 'site_content_navigator') . '</h2>
</div>
<div id="site_content_navigator_settings">
	<form action="#" method="post">
		<table>
			<tr>
				<td>
					<label>' . __('Post types:', 'site_content_navigator') . '</label>
				</td>
				<td>';
foreach($post_types as $key=>$post_type)
{
	$selected_post_types = $this->get_option('post_types');
	$output .= '
					<label for="post_types_' . $post_type . '">
						<input type="checkbox" id="post_types_' . $post_type . '" name="post_types[]" value="' . $post_type . '" '.(is_array($selected_post_types) && in_array($post_type, $this->get_option('post_types')) ? 'checked' : '').'/>
						' . $post_type . '
					</label><br>
			';
}
$output .=  '				
				</td>
				<td>
					<span class="description">' . __('Plugin will support the selected post types.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr>
				<td>
					<label for="processing_method">' . __('Processing method:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<select id="processing_method" name="processing_method" >
						<option value="output_buffering" ' . ($this->get_option('processing_method')==='output_buffering' ? 'selected' : '') . '>' . __('Output buffering', 'site_content_navigator') . '</option>
						<option value="filter_the_content" ' . ($this->get_option('processing_method')==='filter_the_content' ? 'selected' : '') . '>' . __('Filter the_content', 'site_content_navigator') . '</option>
					</select>
				</td>
				<td>
					<span class="description">' . __('Output buffering will search for sections in entire website. Filter the_content will search for sections in post content.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr>
				<td>
					<label for="progress_bar_algorithm">' . __('Progress bar algorithm:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<select id="progress_bar_algorithm" name="progress_bar_algorithm">
						<option value="algorithm_1" ' . ($this->get_option('progress_bar_algorithm')==='algorithm_1' ? 'selected' : '') . '>' . __('Algorithm 1', 'site_content_navigator') . '</option>
						<option value="algorithm_2" ' . ($this->get_option('progress_bar_algorithm')==='algorithm_2' ? 'selected' : '') . '>' . __('Algorithm 2', 'site_content_navigator') . '</option>
						
					</select>
				</td>
				<td>
					<span class="description">' . __('In algorithm 1 bar position is proportional to the read content. In algorithm 2 bar position indicates the screen offset from document top. ', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr>
				<td>
					<label for="enable_navigation_bar">' . __('Enable navigation bar:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<select id="enable_navigation_bar" name="enable_navigation_bar" data-group="navigation_bar">
						<option value="1" ' . ($this->get_option('enable_navigation_bar')===1 ? 'selected' : '') . '>' . __('Enable', 'site_content_navigator') . '</option>
						<option value="0" ' . ($this->get_option('enable_navigation_bar')===0 ? 'selected' : '') . '>' . __('Disable', 'site_content_navigator') . '</option>
					</select>
				</td>
				<td>
					<span class="description">' . __('Enable if you want to show navigation bar on your site.', 'site_content_navigator') . '</span>
				</td>
			</tr>';
$output .= '
			<tr>
				<td>
					<label for="bar_ending">' . __('Bar ending:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<select id="bar_ending" name="bar_ending">
						<option value="end_of_content" ' . ($this->get_option('bar_ending')==='end_of_content' ? 'selected' : '') . '>' . __('End of content', 'site_content_navigator') . '</option>
						<option value="end_of_page" ' . ($this->get_option('bar_ending')==='end_of_page' ? 'selected' : '') . '>' . __('End of page', 'site_content_navigator') . '</option>
					</select>
				</td>
				<td>
					<span class="description">' . __('Option indicates what is considered as bar ending.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr>
				<td>
					<label for="overlap_site_content">' . __('Overlap site content:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<select id="overlap_site_content" name="overlap_site_content">
						<option value="0" ' . ($this->get_option('overlap_site_content')===0 ? 'selected' : '') . '>' . __('Disable', 'site_content_navigator') . '</option>
						<option value="1" ' . ($this->get_option('overlap_site_content')===1 ? 'selected' : '') . '>' . __('Enable', 'site_content_navigator') . '</option>
					</select>
				</td>
				<td>
					<span class="description">' . __('Specify if the progress navigation should move the site content down.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr>
				<td>
					<label for="progress_bar_height">' . __('Progress bar height:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<input type="text" id="progress_bar_height" name="progress_bar_height" value="' . esc_attr($this->get_option('progress_bar_height')) . '"/>
				</td>
				<td>
					<span class="description">' . __('Height of progress bar in px.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr>
				<td>
					<label for="progress_bar_color_1">' . __('Progress bar color 1:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<span class="pn-color-preview progress_bar_color_1" style="background-color: #' . esc_attr($this->get_option('progress_bar_color_1')) . '"></span>
					<input class="pn-color" type="text" id="progress_bar_color_1" name="progress_bar_color_1" value="' . esc_attr($this->get_option('progress_bar_color_1')) . '" data-default-color="' . esc_attr($this->get_option('progress_bar_color_1')) . '"/>

				</td>
				<td>
					<span class="description">' . __('Background color indicating the "completed" part of progress bar.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr class="' . ($this->get_option('progress_bar_algorithm')==='algorithm_1' ? 'pn-hide' : '') . '">
				<td>
					<label for="progress_bar_color_2">' . __('Progress bar color 2:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<span class="pn-color-preview progress_bar_color_2" style="background-color: #' . esc_attr($this->get_option('progress_bar_color_2')) . '"></span>
					<input class="pn-color" type="text" id="progress_bar_color_2" name="progress_bar_color_2" value="' . esc_attr($this->get_option('progress_bar_color_2')) . '" data-default-color="' . esc_attr($this->get_option('progress_bar_color_2')) . '"/>

				</td>
				<td>
					<span class="description">' . __('Background color indicating the "in progress" part of progress bar.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr>
				<td>
					<label for="progress_bar_color_3">' . __('Progress bar color 3:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<span class="pn-color-preview progress_bar_color_3" style="background-color: #' . esc_attr($this->get_option('progress_bar_color_3')) . '"></span>
					<input class="pn-color" type="text" id="progress_bar_color_3" name="progress_bar_color_3" value="' . esc_attr($this->get_option('progress_bar_color_3')) . '" data-default-color="' . esc_attr($this->get_option('progress_bar_color_3')) . '"/>

				</td>
				<td>
					<span class="description">' . __('Background color indicating the "remaining" part of progress bar.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr>
				<td>
					<label for="enable_sections">' . __('Enable sections:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<select id="enable_sections" name="enable_sections" data-group="enable_sections">
						<option value="1" ' . ($this->get_option('enable_sections')===1 ? 'selected' : '') . '>' . __('Enable', 'site_content_navigator') . '</option>
						<option value="0" ' . ($this->get_option('enable_sections')===0 ? 'selected' : '') . '>' . __('Disable', 'site_content_navigator') . '</option>
					</select>
				</td>
				<td>
					<span class="description">' . __('Enable if you want to show sections details.', 'site_content_navigator') . '</span>
				</td>
			</tr>';
$group_enable_sections_hide = ($this->get_option('enable_sections')===0 ? 'pn-hide' : '');
$output .= '
			<tr class="group_enable_sections ' . $group_enable_sections_hide . '">
				<td>
					<label for="section_offset">' . __('Section offset:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<input type="text" id="section_offset" name="section_offset" value="' . esc_attr($this->get_option('section_offset')) . '"/>
				</td>
				<td>
					<span class="description">' . __('Top section offset that will be taken into account when screen moves to a section.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr class="group_enable_sections ' . $group_enable_sections_hide . '">
				<td>
					<label for="section_selectors">' . __('Section selectors:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<input type="text" id="section_selectors" name="section_selectors" value="' . esc_attr($this->get_option('section_selectors')) . '"/>
				</td>
				<td>
					<span class="description">' . __('List of comma separated CSS selectors, this is required to identify your post sections. Example: h1,h2,h3', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr class="group_enable_sections ' . $group_enable_sections_hide . '">
				<td>
					<label for="section_title_selectors">' . __('Section title selectors:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<input type="text" id="section_title_selectors" name="section_title_selectors" value="' . esc_attr($this->get_option('section_title_selectors')) . '"/>
				</td>
				<td>
					<span class="description">' . __('Optional: Defines which element contains the title of your section. If not specified it will use the same value as \'Section selectors\' option.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr class="group_enable_sections ' . $group_enable_sections_hide . '">
				<td>
					<label for="section_img_selectors">' . __('Section image selectors:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<input type="text" id="section_img_selectors" name="section_img_selectors" value="' . esc_attr($this->get_option('section_img_selectors')) . '"/>
				</td>
				<td>
					<span class="description">' . __('Optional: Defines which element contains the image of your section.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr>
				<td>
					<label for="sections_container_selectors">' . __('Sections container selectors:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<input type="text" id="sections_container_selectors" name="sections_container_selectors" value="' . esc_attr($this->get_option('sections_container_selectors')) . '"/>
				</td>
				<td>
					<span class="description">' . __('Optional: Selector for container with all sections.', 'site_content_navigator') . '</span>
				</td>
			</tr>';
$output .=	'
			<tr class="group_enable_sections ' . $group_enable_sections_hide . '">
				<td>
					<label for="show_section_marks">' . __('Show section marks:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<select id="show_section_marks" name="show_section_marks">
						<option value="always" ' . ($this->get_option('show_section_marks')==='always' ? 'selected' : '') . '>' . __('Always', 'site_content_navigator') . '</option>
						<option value="on_hover" ' . ($this->get_option('show_section_marks')==='on_hover' ? 'selected' : '') . '>' . __('On hover', 'site_content_navigator') . '</option>
					</select>
				</td>
				<td>
					<span class="description">' . __('Specify when the sections marks should be displayed.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr class="group_enable_sections ' . $group_enable_sections_hide . '">
				<td>
					<label for="navigation_menu">' . __('Navigation menu:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<select id="navigation_menu" name="navigation_menu">
						<option value="always_visible" ' . ($this->get_option('navigation_menu')==='always_visible' ? 'selected' : '') . '>' . __('Always visible', 'site_content_navigator') . '</option>
						<option value="visible_on_hover" ' . ($this->get_option('navigation_menu')==='visible_on_hover' ? 'selected' : '') . '>' . __('Visible on hover', 'site_content_navigator') . '</option>
						<option value="disabled" ' . ($this->get_option('navigation_menu')==='disabled' ? 'selected' : '') . '>' . __('Disabled', 'site_content_navigator') . '</option>
					</select>
				</td>
				<td>
				<span class="description">' . __('Enable if you want to show navigation menu in the top bar.', 'site_content_navigator') . '</span></td>
			</tr>
			<tr class="group_enable_sections ' . $group_enable_sections_hide . '">
				<td>
					<label for="section_tooltip">' . __('Section tooltip:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<select id="section_tooltip" name="section_tooltip" data-group="section_tooltip">
						<option value="1" ' . ($this->get_option('section_tooltip')===1 ? 'selected' : '') . '>' . __('Enable', 'site_content_navigator') . '</option>
						<option value="0" ' . ($this->get_option('section_tooltip')===0 ? 'selected' : '') . '>' . __('Disable', 'site_content_navigator') . '</option>
					</select>
				</td>
				<td>
				<span class="description">' . __('Enable if you want to show section tooltip.', 'site_content_navigator') . '</span></td>
			</tr>';
$group_section_tooltip_hide = ($this->get_option('section_tooltip')===0 ? 'pn-subhide' : '');
$output .= '
			<tr class="group_enable_sections group_section_tooltip ' . $group_enable_sections_hide . ' ' . $group_section_tooltip_hide . '">
				<td>
					<label for="section_tooltip_image">' . __('Section tooltip image:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<select id="section_tooltip_image" name="section_tooltip_image">
						<option value="1" ' . ($this->get_option('section_tooltip_image')===1 ? 'selected' : '') . '>' . __('Enable', 'site_content_navigator') . '</option>
						<option value="0" ' . ($this->get_option('section_tooltip_image')===0 ? 'selected' : '') . '>' . __('Disable', 'site_content_navigator') . '</option>
					</select>
				</td>
				<td>
				<span class="description">' . __('Enable if you want to show image in the section tooltip.', 'site_content_navigator') . '</span></td>
			</tr>
			<tr class="group_enable_sections group_section_tooltip ' . $group_enable_sections_hide . ' ' . $group_section_tooltip_hide . '">
				<td>
					<label for="section_tooltip_description">' . __('Section tooltip description:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<select id="section_tooltip_description" name="section_tooltip_description">
						<option value="1" ' . ($this->get_option('section_tooltip_description')===1 ? 'selected' : '') . '>' . __('Enable', 'site_content_navigator') . '</option>
						<option value="0" ' . ($this->get_option('section_tooltip_description')===0 ? 'selected' : '') . '>' . __('Disable', 'site_content_navigator') . '</option>
					</select>
				</td>
				<td>
				<span class="description">' . __('Enable if you want to show description in the section tooltip.', 'site_content_navigator') . '</span></td>
			</tr>
			<tr class="group_enable_sections group_section_tooltip ' . $group_enable_sections_hide . ' ' . $group_section_tooltip_hide . '">
				<td>
					<label for="section_tooltip_description_length">' . __('Section description length:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<input type="text" id="section_tooltip_description_length" name="section_tooltip_description_length" value="' . esc_attr($this->get_option('section_tooltip_description_length')) . '"/>

				</td>
				<td>
					<span class="description">' . __('Maximum number of words for section description. Applies only to sections generated automatically.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr class="group_enable_sections group_section_tooltip ' . $group_enable_sections_hide . ' ' . $group_section_tooltip_hide . '">
				<td>
					<label for="section_tooltip_pagination">' . __('Section tooltip pagination:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<select id="section_tooltip_pagination" name="section_tooltip_pagination">
						<option value="1" ' . ($this->get_option('section_tooltip_pagination')===1 ? 'selected' : '') . '>' . __('Enable', 'site_content_navigator') . '</option>
						<option value="0" ' . ($this->get_option('section_tooltip_pagination')===0 ? 'selected' : '') . '>' . __('Disable', 'site_content_navigator') . '</option>
					</select>
				</td>
				<td>
				<span class="description">' . __('Enable if you want to show pagination in the section tooltip.', 'site_content_navigator') . '</span></td>
			</tr>
			<tr class="group_enable_sections group_section_tooltip ' . $group_enable_sections_hide . ' ' . $group_section_tooltip_hide . '">
				<td>
					<label for="section_tooltip_background">' . __('Section tooltip background:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<span class="pn-color-preview section_tooltip_background" style="background-color: #' . esc_attr($this->get_option('section_tooltip_background')) . '"></span>
					<input class="pn-color" type="text" id="section_tooltip_background" name="section_tooltip_background" value="' . esc_attr($this->get_option('section_tooltip_background')) . '" data-default-color="' . esc_attr($this->get_option('section_tooltip_background')) . '"/>

				</td>
				<td>
					<span class="description">' . __('Background color for the section tooltip.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr>
				<td>
					<label for="header_font">' . __('Header font:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<span class="description pn-margin-bottom-10">' . __('Enter font name', 'site_content_navigator') . '</span>
					<input type="text" id="header_font_custom" name="header_font_custom" value="' . $this->get_option('header_font_custom') . '">
					<span class="description pn-margin-top-10 pn-margin-bottom-10">' . __('or choose Google font', 'site_content_navigator') . '</span>
					<select id="header_font" name="header_font">
						<option ' . ($this->get_option('header_font')=='' ? 'selected="selected"' : '') . ' value="">' . __('Default (Raleway)', 'site_content_navigator') . '</option>';
if($google_fonts!==false && count($google_fonts->items))
{
	foreach($google_fonts->items as $google_font_item)
	{
		if(count($google_font_item->variants))
		{
			foreach($google_font_item->variants as $google_font_variant)
			{
				$google_font = $google_font_item->family . ':' . $google_font_variant;
				$output .= '
						<option ' . ($this->get_option('header_font')==$google_font ? 'selected="selected"' : '') . ' value="' . $google_font . '">' . $google_font . '</option>';
			}
		}
	}
}
$output .= '
					</select>
					<span class="description header_font_subset pn-margin-top-10 pn-margin-bottom-10 ' . (!strlen($this->get_option('header_font')) ? 'pn-hide' : '') . '">' . __('Google font subset:', 'site_content_navigator') . '</span>';
$output .= '
					<select id="header_font_subset" class="header_font_subset ' . (!strlen($this->get_option('header_font')) ? 'pn-hide' : '') . '" name="header_font_subset[]" multiple="multiple">';
if(strlen($this->get_option('header_font')))
{
	$fontExplode = explode(":", $this->get_option('header_font'));
	$font_subset = PNFonts::get_google_font_subsets($fontExplode[0]);
	$header_font_subset = $this->get_option('header_font_subset');
	foreach($font_subset as $subset)
	{
		$output .= '<option ' . (is_array($header_font_subset) && in_array($subset, $header_font_subset) ? 'selected="selected"' : '') . ' value=' . $subset . '>' . $subset . '</option>';
	}
}
$output .= '
					</select>
				</td>
				<td>
					<span class="description">' . __('Font used by the header.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr>
				<td>
					<label for="text_font">' . __('Text font:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<span class="description pn-margin-bottom-10">' . __('Enter font name', 'site_content_navigator') . '</span>
					<input type="text" id="text_font_custom" name="text_font_custom" value="' . $this->get_option('text_font_custom') . '">
					<span class="description pn-margin-top-10 pn-margin-bottom-10">' . __('or choose Google font', 'site_content_navigator') . '</span>
					<select id="text_font" name="text_font">
						<option ' . ($this->get_option('text_font')=='' ? 'selected="selected"' : '') . ' value="">' . __('Default (Open Sans)', 'site_content_navigator') . '</option>';
if($google_fonts!==false && count($google_fonts->items))
{
	foreach($google_fonts->items as $google_font_item)
	{
		if(count($google_font_item->variants))
		{
			foreach($google_font_item->variants as $google_font_variant)
			{
				$google_font = $google_font_item->family . ':' . $google_font_variant;
				$output .= '
						<option ' . ($this->get_option('text_font')==$google_font ? 'selected="selected"' : '') . ' value="' . $google_font . '">' . $google_font . '</option>';
			}
		}
	}
}
$output .= '
					</select>
					<span class="description text_font_subset pn-margin-top-10 pn-margin-bottom-10 ' . (!strlen($this->get_option('text_font')) ? 'pn-hide' : '') . '">' . __('Google font subset:', 'site_content_navigator') . '</span>';
$output .= '
					<select id="text_font_subset" class="text_font_subset ' . (!strlen($this->get_option('text_font')) ? 'pn-hide' : '') . '" name="text_font_subset[]" multiple="multiple">';
if(strlen($this->get_option('text_font')))
{
	$fontExplode = explode(":", $this->get_option('text_font'));
	$font_subset = PNFonts::get_google_font_subsets($fontExplode[0]);
	$text_font_subset = $this->get_option('text_font_subset');
	
	foreach($font_subset as $subset)
	{
		$output .= '<option ' . (is_array($text_font_subset) && in_array($subset, $text_font_subset) ? 'selected="selected"' : '') . ' value=' . $subset . '>' . $subset . '</option>';
	}
}
$output .= '
					</select>
				</td>
				<td>
					<span class="description">' . __('Font used by the plain text.', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr>
				<td>
					<label for="custom_css">' . __('Custom CSS:', 'site_content_navigator') . '</label>
				</td>
				<td colspan="2">
					<textarea id="custom_css" name="custom_css">' . stripslashes($this->get_option('custom_css')) . '</textarea>
				</td>
			</tr>
			<tr class="pn-no-border">
				<td colspan="3">
					' . wp_nonce_field('pnoptions_save', 'pnoptions_wpnonce', true, false) . '
					<input type="hidden" name="pnoptions" value="1"/>
					<input class="button button-primary" type="submit" value="' . esc_attr__('Save Options', 'site_content_navigator') . '"/>
				</td>
			</tr>
		</table>		
	</form>
</div>';
return $output;