<?php
$output = '';
$output .= '
<div id="site_content_navigator_settings">
	<table>
		<tr>
			<td>
				<label for="enable_navigation_bar_default">' . __('Enable navigation bar:', 'site_content_navigator') . '</label>
			</td>
			<td>
				<select id="enable_navigation_bar_default" class="pn_post_option" name="enable_navigation_bar_default" data-post-option="pn-enable_navigation_bar">
					<option value="1" ' . ($this->get_option_post('enable_navigation_bar_default')===1 ? 'selected' : '') . '>' . __('Default', 'site_content_navigator') . '</option>
					<option value="0" ' . ($this->get_option_post('enable_navigation_bar_default')===0 ? 'selected' : '') . '>' . __('Custom', 'site_content_navigator') . '</option>
				</select>
				<select id="enable_navigation_bar" name="enable_navigation_bar" class="pn-enable_navigation_bar pn-margin-top-10" ' . ($this->get_option_post('enable_navigation_bar_default')===0 ? '' : 'style="display: none;"') . '>
					<option value="1" ' . ($this->get_option_post('enable_navigation_bar')===1 ? 'selected' : '') . '>' . __('Enable', 'site_content_navigator') . '</option>
					<option value="0" ' . ($this->get_option_post('enable_navigation_bar')===0 ? 'selected' : '') . '>' . __('Disable', 'site_content_navigator') . '</option>
				</select>
			</td>
			<td>
				<span class="description">' . __('Enable if you want to show navigation bar on your site.', 'site_content_navigator') . '</span>
			</td>
		</tr>
		<tr>
			<td>
				<label for="section_selectors_default">' . __('Section selectors:', 'site_content_navigator') . '</label>
			</td>
			<td>
				<select id="section_selectors_default" class="pn_post_option" name="section_selectors_default" data-post-option="pn-section_selectors">
					<option value="1" ' . ($this->get_option_post('section_selectors_default')===1 ? 'selected' : '') . '>' . __('Default', 'site_content_navigator') . '</option>
					<option value="0" ' . ($this->get_option_post('section_selectors_default')===0 ? 'selected' : '') . '>' . __('Custom', 'site_content_navigator') . '</option>
				</select>
				<input type="text" id="section_selectors" name="section_selectors" value="' . $this->get_option_post('section_selectors') . '" class="pn-section_selectors pn-margin-top-10" ' . ($this->get_option_post('section_selectors_default')===0 ? '' : 'style="display: none;"') . '/>
			</td>
			<td>
				<span class="description">' . __('List of comma separated CSS selectors, this is required to identify your post sections. Example: h1,h2,h3', 'site_content_navigator') . '</span>
			</td>
		</tr>
		<tr>
			<td>
				<label for="section_title_selectors_default">' . __('Section title selectors:', 'site_content_navigator') . '</label>
			</td>
			<td>
				<select id="section_title_selectors_default" class="pn_post_option" name="section_title_selectors_default" data-post-option="pn-section_title_selectors">
					<option value="1" ' . ($this->get_option_post('section_title_selectors_default')===1 ? 'selected' : '') . '>' . __('Default', 'site_content_navigator') . '</option>
					<option value="0" ' . ($this->get_option_post('section_title_selectors_default')===0 ? 'selected' : '') . '>' . __('Custom', 'site_content_navigator') . '</option>
				</select>
				<input type="text" id="section_title_selectors" name="section_title_selectors" value="' . $this->get_option_post('section_title_selectors') . '" class="pn-section_title_selectors pn-margin-top-10" ' . ($this->get_option_post('section_title_selectors_default')===0 ? '' : 'style="display: none;"') . '/>
			</td>
			<td>
				<span class="description">' . __('Optional: Defines which element contains the title of your section. If not specified it will use the same value as \'Section selectors\' option.', 'site_content_navigator') . '</span>
			</td>
		</tr>
		<tr>
			<td>
				<label for="section_img_selectors_default">' . __('Section image selectors:', 'site_content_navigator') . '</label>
			</td>
			<td>
				<select id="section_img_selectors_default" class="pn_post_option" name="section_img_selectors_default" data-post-option="pn-section_img_selectors">
					<option value="1" ' . ($this->get_option_post('section_img_selectors_default')===1 ? 'selected' : '') . '>' . __('Default', 'site_content_navigator') . '</option>
					<option value="0" ' . ($this->get_option_post('section_img_selectors_default')===0 ? 'selected' : '') . '>' . __('Custom', 'site_content_navigator') . '</option>
				</select>
				<input type="text" id="section_img_selectors" name="section_img_selectors" value="' . $this->get_option_post('section_img_selectors') . '" class="pn-section_img_selectors pn-margin-top-10" ' . ($this->get_option_post('section_img_selectors_default')===0 ? '' : 'style="display: none;"') . '/>
			</td>
			<td>
				<span class="description">' . __('Optional: Defines which element contains the image of your section.', 'site_content_navigator') . '</span>
			</td>
		</tr>';
$output .= '
		<tr class="post_sections_default">
			<td>
				<label for="post_sections_default">' . __('Post sections:', 'site_content_navigator') . '</label>
			</td>
			<td>
				<select id="post_sections_default" class="pn_post_option" name="post_sections_default" data-post-option="pn-post_sections">
					<option value="1" ' . ($this->get_option_post('post_sections_default')===1 ? 'selected' : '') . '>' . __('Default', 'site_content_navigator') . '</option>
					<option value="0" ' . ($this->get_option_post('post_sections_default')===0 ? 'selected' : '') . '>' . __('Custom', 'site_content_navigator') . '</option>
				</select>
				<div class="pn-post_sections pn-margin-top-10" ' . ($this->get_option_post('post_sections_default')===0 ? '' : 'style="display: none;"') . '>
					<button id="add_section" class="button" name="add_section" title="' . __('Add section manually', 'site_content_navigator') . '">' . __('Add', 'site_content_navigator') . '</button>
					<button id="search_sections" class="button" name="search_sections" title="' . __('Automatic section search', 'site_content_navigator') . '">' . __('Search', 'site_content_navigator') . '</button>
				</div>
			</td>
			<td>
				<span class="description">' . __('Allows to configure post sections', 'site_content_navigator') . '</span>
			</td>
		</tr>
		' . $this->post_sections_html($this->get_option_post('post_sections')) . '
		<tr class="pn-no-border">
			<td colspan="3">
				' . wp_nonce_field('pnoptions_post_save', 'pnoptions_post_wpnonce', true, false) . '
				<input type="hidden" name="pnoptions_post" value="1"/>
			</td>
		</tr>
	</table>
</div>';
return $output;