<?php
$output = '';
$output .= '
<div id="pn-navigation-bar" class="' . $custom_classes . '" >';
$output .= '
	<div class="pn-progress-bar-wrapper">
		<div class="pn-progress-bar">
			<div class="pn-complete"></div>
			<div class="pn-in-progress"></div>';
if($this->pnOptions->enable_sections)
{
	if($section_count)
	{
		foreach($page_sections as $index=>$page_section)
		{
			$output .= '
			<div class="pn-section-mark ' . esc_attr($page_section['class']) . '-mark" data-section-class="' . esc_attr($page_section['class']) . '" data-title="' . esc_attr($page_section['title']) . '">';
			if($this->pnOptions->section_tooltip)
			{
				$section_tooltip_img = '';
				if($this->pnOptions->section_tooltip_image)
				{
					if(isset($page_section['img_id']) && strlen($page_section['img_id']))
					{
						$attachment_img = wp_get_attachment_image_src($page_section['img_id']);
						$section_tooltip_img = ($attachment_img ? $attachment_img[0] : '');
					}
					elseif(isset($page_section['img']) && strlen($page_section['img']))
						$section_tooltip_img = $page_section['img'];
				}
				$section_tooltip_description = ($this->pnOptions->section_tooltip_description && isset($page_section['description']) && $page_section['description']!='');
				$section_tooltip_pagination = ($this->pnOptions->section_tooltip_pagination);
				$output .= '
				<div class="pn-section-tooltip-wrapper">
					<div class="pn-section-tooltip">
						<div class="pn-section-tooltip-content ' . (strlen($section_tooltip_img) ? 'pn-with-img' : '') . ' pn-clearfix">';
				if(strlen($section_tooltip_img))
					$output .= '
								<img class="pn-section-img" src="' . $section_tooltip_img . '"/>';
				$output .= '
								<h4>' . $page_section['title'] . '</h4>';
				if($section_tooltip_description)
					$output .= '
								<p>' . $page_section['description'] . '</p>';
				if($section_tooltip_pagination)
					$output .= '
								<div class="pn-section-tooltip-pagination">
									<a href="#" class="pn-prev pn-button">' . __('Previous', 'site_content_navigator') . '</a>
									<a href="#" class="pn-next pn-button">' . __('Next', 'site_content_navigator') . '</a>
									<div class="pn-pagination-count"><span class="pn-pagination-index"></span>/<span class="pn-pagination-max"></span></div>
								</div>';
				$output .= '
							</div>
						</div>
					</div>';
			}


			$output .= '
			</div>';
		}
	}
}
$output .= '
		</div>
	</div>';

if($this->pnOptions->enable_sections && $this->pnOptions->navigation_menu)
{
	$output .= '
	<div class="pn-navigation-info">
		<span class="pn-section-current"></span>
		<div class="pn-spacing"></div>';
	//post sections
	if($section_count)
	{
		$output .= '
		<div class="pn-sections-list-wrapper">
			<ul class="pn-sections-list">';
		foreach($page_sections as $index=>$page_section)
		{
			$output .= '
				<li class="' . esc_attr($page_section['class']) . '-list" data-section-class="' . esc_attr($page_section['class']) . '">' . esc_attr($page_section['title']) . '</li>';
		}
		$output .= '
			</ul>
		</div>
		<div class="pn-nav-switch">
			<span></span>
			<span></span>
			<span></span>
			<span></span>
		</div>';
	}

	$output .= '
	</div>';
}
$output .= '
	<div class="pn-clickable-area"></div>
</div>';
return $output;